Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class UserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.openjpa.util.OpenJPAException
                      org.apache.openjpa.util.UserException

All Implemented Interfaces:
  Serializable, ExceptionInfo

Direct Known Subclasses:
  CallbackException, InvalidStateException, MetaDataException

    public class UserException

extends OpenJPAException

Base exception type for user errors.

Since:
  0.2.5
Author:
  Marc Prud'hommeaux
See Also:
  Serialized Form

Field Summary
`static int` | `CALLBACK`
`static int` | `INVALID_STATE`
`static int` | `METADATA`
`static int` | `NO_RESULT`
`static int` | `NO_TRANSACTION`
`static int` | `NON_UNIQUE_RESULT`

Fields inherited from interface org.apache.openjpa.util.ExceptionInfo
`GENERAL, INTERNAL, STORE, UNAVAILABLE, UNSUPPORTED, USER, WRAPPED`

Constructor Summary
`UserException()`
`UserException(Localizer.Message msg)`
`UserException(Localizer.Message msg, Throwable cause)`
`UserException(String msg)`
`UserException(String msg, Throwable cause)`
`UserException(Throwable cause)`

Method Summary
`int` | `getType()` Exception type.

Methods inherited from class org.apache.openjpa.util.OpenJPAException
`getCause, getFailedObject, getNestedThrowables, getSubtype, isFatal, printStackTrace, printStackTrace, printStackTrace, setCause, setFailedObject, setFatal, setNestedThrowables, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.util.ExceptionInfo
`getMessage`

Field Detail

### METADATA

    public static final int METADATA

See Also:
  Constant Field Values

### INVALID_STATE

    public static final int INVALID_STATE

See Also:
  Constant Field Values

### NO_TRANSACTION

    public static final int NO_TRANSACTION

See Also:
  Constant Field Values

### CALLBACK

    public static final int CALLBACK

See Also:
  Constant Field Values

### NO_RESULT

    public static final int NO_RESULT

See Also:
  Constant Field Values

### NON_UNIQUE_RESULT

    public static final int NON_UNIQUE_RESULT

See Also:
  Constant Field Values

Constructor Detail

### UserException

    public UserException()

### UserException

    public UserException(String msg)

### UserException

    public UserException(Localizer.Message msg)

### UserException

    public UserException(Throwable cause)

### UserException

    public UserException(String msg,
                         Throwable cause)

### UserException

    public UserException(Localizer.Message msg,
                         Throwable cause)

Method Detail

### getType

    public int getType()

  Description copied from class: `OpenJPAException`
  Exception type.

  Specified by:
    `getType` in interface `ExceptionInfo`
  Specified by:
    `getType` in class `OpenJPAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.